Skip to main content

Get all companies

GET 

/auth/payment-gateway/companies

linked with the current payment gateway

Responses

successful operation

Schema

  • Array [

  • id uuid

    Cents ID of the company

    nexi_id string

    ID on nexi system

    first_name string

    first name of the consumer user

    last_name string

    last name of the consumer user

    website string

    website url of the commerce

    company_name string

    legal company name of the company

    vat string

    vat code with country code

    address

    object

    street_address stringrequired
    city stringrequired
    region_state stringrequired
    zip_code stringrequired
    country stringrequired
    sectors string[]

    sectors to be used for blacklist/whitelist from charity side

    charities_blacklist_sectors string[]

    List of sectors of charities to be excluded

    charities_blacklist string[]

    List of charities to be exclude

    charities_whitelist_sectors string[]

    List of sectors of charities to be included, if empty all charities will be included

    charities_whitelist string[]

    List of charities to be included, if empty all charities will be included

  • ]

Loading...